Bug 13295 - The winbind parent should find the dc of a foreign domain via the primary domain
The winbind parent should find the dc of a foreign domain via the primary domain
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.8.0rc2
All All
: P5 normal
: ---
Assigned To: Stefan Metzmacher
Samba QA Contact
:
Depends on:
Blocks: 13292
  Show dependency treegraph
 
Reported: 2018-02-22 07:21 UTC by Stefan Metzmacher
Modified: 2018-10-26 12:33 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.8 cherry-picked from master (5.98 KB, patch)
2018-02-27 10:59 UTC, Ralph Böhme
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2018-02-22 07:21:42 UTC
Commit ed3bc614cccec6167c64ac58d78344b6426cd019 got the logic wrong while
    trying to implement the logic we had in init_child_connection(),
    which was removed by commit d61f3626b79e0523beadff355453145aa7b0195c.
    
    Instead of doing a WINBINDD_GETDCNAME request (which would caused an error
    because the implementation was removed in commit
    958fdaf5c3ba17969a5110e6b2b08babb9096d7e), we sent the callers request
    and interpreted the result as WINBINDD_GETDCNAME response, which
    led to an empty dcname variable. As result the domain child
    opened a connection to the primary domain in order to lookup
    a dc.
    
    If we want to connect the primary domain from the parent via
    a domain child of the primary domain.
Comment 1 Ralph Böhme 2018-02-27 10:59:32 UTC
Created attachment 14001 [details]
Patch for 4.8 cherry-picked from master
Comment 2 Stefan Metzmacher 2018-02-27 16:05:49 UTC
Pushed to autobuild-v4-8-test. But needs backport to older versions.
Comment 3 Karolin Seeger 2018-02-28 12:00:05 UTC
Pushed to v4-8-test.
Comment 4 Karolin Seeger 2018-03-22 20:53:34 UTC
Re-assigning to Metze for backports.
Comment 5 Stefan Metzmacher 2018-04-17 06:29:55 UTC
Backport on bug #13292.
Comment 6 Stefan Metzmacher 2018-10-26 12:33:58 UTC
4.7 only gets security updates